<?php
/**
 * Implement hook_views_default_views().
 */
function queue_runner_views_default_views() {
  $view = new view;
  $view->name = 'queue_runner_failure_overview';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'queue_runner_failures';
  $view->core = 6;
  $view->api_version = '2';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->override_option('fields', array(
    'created' => array(
      'label' => 'Created date',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 1,
      'date_format' => 'small',
      'custom_date_format' => '',
      'exclude' => 0,
      'id' => 'created',
      'table' => 'queue_runner_failures',
      'field' => 'created',
      'relationship' => 'none',
    ),
    'title' => array(
      'id' => 'title',
      'table' => 'queue_runner_failures',
      'field' => 'title',
    ),
    'task_operations' => array(
      'id' => 'task_operations',
      'table' => 'queue_runner_failures',
      'field' => 'task_operations',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('title', 'Queue Runner Failures');
  $handler->override_option('empty', 'There are no failures to show.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('items_per_page', 50);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'columns' => array(
      'item_id' => 'item_id',
    ),
    'default' => '-1',
    'info' => array(
      'item_id' => array(
        'sortable' => 0,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
    ),
  ));
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->override_option('path', 'admin/reports/queue-runner/failures');
  $handler->override_option('menu', array(
    'type' => 'tab',
    'title' => 'Failures',
    'description' => '',
    'weight' => '-10',
    'name' => 'navigation',
    'context' => 0,
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => 'Queue runner Overview',
    'description' => 'Overview of collectors and failed queue items',
    'weight' => '0',
    'name' => 'management',
  ));

  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'queue_runner_dblog_overview';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'queue_runner_dblog';
  $view->core = 6;
  $view->api_version = '2';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->override_option('relationships', array(
    'nid' => array(
      'id' => 'nid',
      'table' => 'queue_runner_dblog',
      'field' => 'nid',
    ),
  ));
  $handler->override_option('fields', array(
    'severity' => array(
      'id' => 'severity',
      'table' => 'queue_runner_dblog',
      'field' => 'severity',
    ),
    'message' => array(
      'id' => 'message',
      'table' => 'queue_runner_dblog',
      'field' => 'message',
    ),
    'timestamp' => array(
      'id' => 'timestamp',
      'table' => 'queue_runner_dblog',
      'field' => 'timestamp',
      'date_format' => 'long',
    ),
    'title' => array(
      'label' => 'Node',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 1,
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'nid',
    ),
  ));
  $handler->override_option('sorts', array(
    'timestamp' => array(
      'id' => 'timestamp',
      'table' => 'queue_runner_dblog',
      'field' => 'timestamp',
      'order' => 'DESC',
    ),
  ));
  $handler->override_option('filters', array(
    'severity' => array(
      'id' => 'severity',
      'table' => 'queue_runner_dblog',
      'field' => 'severity',
      'exposed' => TRUE,
      'expose' => array(
        'operator_id' => 'severity_op',
        'label' => 'Severity',
        'operator' => 'severity_op',
        'identifier' => 'severity',
        'multiple' => TRUE,
        'remember_roles' => array(
          2 => '2',
          1 => 0,
          3 => 0,
        ),
      ),
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('title', 'Queue Runner Log');
  $handler->override_option('items_per_page', 50);
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler->override_option('style_options', array(
    'columns' => array(
      'message' => 'message',
      'timestamp' => 'timestamp',
    ),
    'default' => '-1',
    'info' => array(
      'message' => array(
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
      'timestamp' => array(
        'sortable' => 0,
        'default_sort_order' => 'asc',
        'align' => '',
        'separator' => '',
        'empty_column' => 0,
      ),
    ),
  ));
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->override_option('path', 'admin/reports/queue-runner/dblog');
  $handler->override_option('menu', array(
    'type' => 'tab',
    'title' => 'Queue Runner Log',
    'description' => 'Log messages from Queue Runner items',
    'weight' => '10',
    'name' => 'management',
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));

  $views[$view->name] = $view;

  $view = new view;
  $view->name = 'queue_runner_collectors';
  $view->description = '';
  $view->tag = 'default';
  $view->base_table = 'queue_runner_collector';
  $view->core = 6;
  $view->api_version = '2';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->override_option('relationships', array(
    'nid' => array(
      'id' => 'nid',
      'table' => 'queue_runner_collector',
      'field' => 'nid',
    ),
  ));
  $handler->override_option('fields', array(
    'title' => array(
      'label' => 'Title',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 1,
      'exclude' => 1,
      'id' => 'title',
      'table' => 'queue_runner_collector',
      'field' => 'title',
      'relationship' => 'none',
    ),
    'coll_id' => array(
      'label' => 'Collector ID',
      'alter' => array(
        'alter_text' => 1,
        'text' => '[title]',
        'make_link' => 1,
        'path' => 'admin/reports/queue-runner/file-log/collector/[coll_id]',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 1,
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => '',
      'format_plural' => 0,
      'format_plural_singular' => '1',
      'format_plural_plural' => '@count',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'coll_id',
      'table' => 'queue_runner_collector',
      'field' => 'coll_id',
      'relationship' => 'none',
    ),
    'status' => array(
      'id' => 'status',
      'table' => 'queue_runner_collector',
      'field' => 'status',
    ),
    'queued' => array(
      'label' => 'Sub tasks in queue',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 0,
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ',',
      'format_plural' => 0,
      'format_plural_singular' => '1',
      'format_plural_plural' => '@count',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'queued',
      'table' => 'queue_runner_collector',
      'field' => 'queued',
      'relationship' => 'none',
    ),
    'remaining' => array(
      'label' => 'Sub tasks remaining',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 0,
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ',',
      'format_plural' => 0,
      'format_plural_singular' => '1',
      'format_plural_plural' => '@count',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'remaining',
      'table' => 'queue_runner_collector',
      'field' => 'remaining',
      'relationship' => 'none',
    ),
    'total' => array(
      'label' => 'Total sub tasks',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 0,
      'set_precision' => FALSE,
      'precision' => 0,
      'decimal' => '.',
      'separator' => ',',
      'format_plural' => 0,
      'format_plural_singular' => '1',
      'format_plural_plural' => '@count',
      'prefix' => '',
      'suffix' => '',
      'exclude' => 0,
      'id' => 'total',
      'table' => 'queue_runner_collector',
      'field' => 'total',
      'relationship' => 'none',
    ),
    'title_1' => array(
      'label' => 'Node',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '-',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 0,
      'link_to_node' => 1,
      'exclude' => 0,
      'id' => 'title_1',
      'table' => 'node',
      'field' => 'title',
      'relationship' => 'nid',
      'override' => array(
        'button' => 'Override',
      ),
    ),
    'collector_operations' => array(
      'label' => 'Operations',
      'alter' => array(
        'alter_text' => 0,
        'text' => '',
        'make_link' => 0,
        'path' => '',
        'absolute' => 0,
        'link_class' => '',
        'alt' => '',
        'rel' => '',
        'prefix' => '',
        'suffix' => '',
        'target' => '',
        'help' => '',
        'trim' => 0,
        'max_length' => '',
        'word_boundary' => 1,
        'ellipsis' => 1,
        'html' => 0,
        'strip_tags' => 0,
      ),
      'empty' => '',
      'hide_empty' => 0,
      'empty_zero' => 0,
      'hide_alter_empty' => 1,
      'exclude' => 0,
      'id' => 'collector_operations',
      'table' => 'queue_runner_collector',
      'field' => 'collector_operations',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('sorts', array(
    'coll_id' => array(
      'order' => 'DESC',
      'id' => 'coll_id',
      'table' => 'queue_runner_collector',
      'field' => 'coll_id',
      'relationship' => 'none',
    ),
  ));
  $handler->override_option('access', array(
    'type' => 'none',
  ));
  $handler->override_option('cache', array(
    'type' => 'none',
  ));
  $handler->override_option('title', 'Queue Runner Collectors');
  $handler->override_option('empty', 'There are no collectors in the queue.');
  $handler->override_option('empty_format', '1');
  $handler->override_option('use_pager', '1');
  $handler->override_option('style_plugin', 'table');
  $handler = $view->new_display('page', 'Page', 'page');
  $handler->override_option('path', 'admin/reports/queue-runner/collectors');
  $handler->override_option('menu', array(
    'type' => 'tab',
    'title' => 'Collectors',
    'description' => '',
    'weight' => '0',
    'name' => 'navigation',
    'context' => 0,
  ));
  $handler->override_option('tab_options', array(
    'type' => 'none',
    'title' => '',
    'description' => '',
    'weight' => 0,
    'name' => 'navigation',
  ));

  $views[$view->name] = $view;

  return $views;
}
